<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: File List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">File List</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">Here is a list of all documented files with brief descriptions:</div><div class="directory">
<div class="levels">[detail level <span onclick="javascript:toggleLevel(1);">1</span><span onclick="javascript:toggleLevel(2);">2</span><span onclick="javascript:toggleLevel(3);">3</span><span onclick="javascript:toggleLevel(4);">4</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_0_" class="arrow" onclick="toggleFolder('0_')">&#9660;</span><span id="img_0_" class="iconfopen" onclick="toggleFolder('0_')">&#160;</span><a class="el" href="dir_7b4dd9274471389300495e9c763ca813.html" target="_self">cpp_filrouge_iscj_allemann</a></td><td class="desc"></td></tr>
<tr id="row_0_0_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_0_0_" class="arrow" onclick="toggleFolder('0_0_')">&#9660;</span><span id="img_0_0_" class="iconfopen" onclick="toggleFolder('0_0_')">&#160;</span><a class="el" href="dir_e5b3fe71963387781ba01d2a56ee1874.html" target="_self">include</a></td><td class="desc"></td></tr>
<tr id="row_0_0_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_0_0_" class="arrow" onclick="toggleFolder('0_0_0_')">&#9660;</span><span id="img_0_0_0_" class="iconfopen" onclick="toggleFolder('0_0_0_')">&#160;</span><a class="el" href="dir_8082b9977330bac1504bd0163637bac5.html" target="_self">Character</a></td><td class="desc"></td></tr>
<tr id="row_0_0_0_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_character_class_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_character_class_8hpp.html" target="_self">CharacterClass.hpp</a></td><td class="desc">: Header file, for the class "CharacterClass.cpp" </td></tr>
<tr id="row_0_0_0_1_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_necromancer_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_necromancer_8hpp.html" target="_self">Necromancer.hpp</a></td><td class="desc">: Header file, for the class "Necromancer.cpp", which one is a specialisation of Wizard </td></tr>
<tr id="row_0_0_0_2_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_skeleton_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_skeleton_8hpp.html" target="_self">Skeleton.hpp</a></td><td class="desc">: Header file, for the class "Skeleton.cpp", which one is a type of Monster </td></tr>
<tr id="row_0_0_0_3_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_slime_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_slime_8hpp.html" target="_self">Slime.hpp</a></td><td class="desc">: Header file, for the class "Slime.cpp", which one is a type of Monster </td></tr>
<tr id="row_0_0_0_4_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_warrior_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_warrior_8hpp.html" target="_self">Warrior.hpp</a></td><td class="desc">: Header file, for the class "Warrior.cpp", which one is a type of hero </td></tr>
<tr id="row_0_0_0_5_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_wizard_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_wizard_8hpp.html" target="_self">Wizard.hpp</a></td><td class="desc">: Header file, for the class "Wizard.cpp", which one is a type of Hero </td></tr>
<tr id="row_0_0_1_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_0_1_" class="arrow" onclick="toggleFolder('0_0_1_')">&#9660;</span><span id="img_0_0_1_" class="iconfopen" onclick="toggleFolder('0_0_1_')">&#160;</span><a class="el" href="dir_0110e4e7c5f9771c79c9be9d0e08a8ab.html" target="_self">Exception</a></td><td class="desc"></td></tr>
<tr id="row_0_0_1_0_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_game_player_die_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_game_player_die_8hpp.html" target="_self">GamePlayerDie.hpp</a></td><td class="desc">: Exception file This exception is intended to be rise when the player's team die (and means it's a lose) </td></tr>
<tr id="row_0_0_1_1_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_log_cant_be_write_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_log_cant_be_write_8hpp.html" target="_self">LogCantBeWrite.hpp</a></td><td class="desc">: Exception file This exception is intended to be rise when the the logs can be written in the specified file The reason can be : The folder for the file didn't exist; the file is used by another program; etc </td></tr>
<tr id="row_0_0_1_2_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_menu_item_not_found_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_menu_item_not_found_8hpp.html" target="_self">MenuItemNotFound.hpp</a></td><td class="desc">: Exception file This exception is intended to be rise when a nonexistant menu is selected </td></tr>
<tr id="row_0_0_1_3_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_menu_item_out_of_menu_limit_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_menu_item_out_of_menu_limit_8hpp.html" target="_self">MenuItemOutOfMenuLimit.hpp</a></td><td class="desc">: Exception file This exception is intended to be rise when there is too much menu items in a menu </td></tr>
<tr id="row_0_0_1_4_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_text_out_of_display_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_text_out_of_display_8hpp.html" target="_self">TextOutOfDisplay.hpp</a></td><td class="desc">: Exception file This exception is intended to be rise when the text is longer than the destined area of where it is displayed </td></tr>
<tr id="row_0_0_2_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_0_2_" class="arrow" onclick="toggleFolder('0_0_2_')">&#9660;</span><span id="img_0_0_2_" class="iconfopen" onclick="toggleFolder('0_0_2_')">&#160;</span><a class="el" href="dir_20252c59fe8f028a76784af50d193d74.html" target="_self">Log</a></td><td class="desc"></td></tr>
<tr id="row_0_0_2_0_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_log_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_log_8hpp.html" target="_self">Log.hpp</a></td><td class="desc">: Header file, for the class "Log.cpp" </td></tr>
<tr id="row_0_0_2_1_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_log_collection_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_log_collection_8hpp.html" target="_self">LogCollection.hpp</a></td><td class="desc">: Header file, for the class "LogCollection.cpp" </td></tr>
<tr id="row_0_0_3_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_0_3_" class="arrow" onclick="toggleFolder('0_0_3_')">&#9660;</span><span id="img_0_0_3_" class="iconfopen" onclick="toggleFolder('0_0_3_')">&#160;</span><a class="el" href="dir_325a9a77de343a5b727763275460672d.html" target="_self">Menu</a></td><td class="desc"></td></tr>
<tr id="row_0_0_3_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_menu_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_menu_8hpp.html" target="_self">Menu.hpp</a></td><td class="desc">: Header file, for the class "Menu.cpp" </td></tr>
<tr id="row_0_0_3_1_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_menu_item_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_menu_item_8hpp.html" target="_self">MenuItem.hpp</a></td><td class="desc">: Header file, for the class "MenuItem.cpp" </td></tr>
<tr id="row_0_0_4_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_0_4_" class="arrow" onclick="toggleFolder('0_0_4_')">&#9660;</span><span id="img_0_0_4_" class="iconfopen" onclick="toggleFolder('0_0_4_')">&#160;</span><a class="el" href="dir_65974ee00191c2d50043a53f63dd7b68.html" target="_self">Object</a></td><td class="desc"></td></tr>
<tr id="row_0_0_4_0_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_i_object_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_i_object_8hpp.html" target="_self">IObject.hpp</a></td><td class="desc">: Interface class, for the different objects who can be posseded by an characteur </td></tr>
<tr id="row_0_0_4_1_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_potion_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_potion_8hpp.html" target="_self">Potion.hpp</a></td><td class="desc">: Header file, for the class "Potion.cpp" </td></tr>
<tr id="row_0_0_4_2_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_shield_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_shield_8hpp.html" target="_self">Shield.hpp</a></td><td class="desc">: Header file, for the class "Shield.cpp" </td></tr>
<tr id="row_0_0_4_3_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_sword_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_sword_8hpp.html" target="_self">Sword.hpp</a></td><td class="desc">: Header file, for the class "Sword.cpp" </td></tr>
<tr id="row_0_0_5_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_0_5_" class="arrow" onclick="toggleFolder('0_0_5_')">&#9660;</span><span id="img_0_0_5_" class="iconfopen" onclick="toggleFolder('0_0_5_')">&#160;</span><a class="el" href="dir_5c5cd00e5682e63edab20d6456cf76ed.html" target="_self">Room</a></td><td class="desc"></td></tr>
<tr id="row_0_0_5_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_lane_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_lane_8hpp.html" target="_self">Lane.hpp</a></td><td class="desc">: Header file, for the class "Lane.cpp" </td></tr>
<tr id="row_0_0_5_1_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_room_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_room_8hpp.html" target="_self">Room.hpp</a></td><td class="desc">: Header file, for the class "Room.cpp" </td></tr>
<tr id="row_0_0_6_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_0_6_" class="arrow" onclick="toggleFolder('0_0_6_')">&#9660;</span><span id="img_0_0_6_" class="iconfopen" onclick="toggleFolder('0_0_6_')">&#160;</span><a class="el" href="dir_393455b0c9ecb55f7340e0c0c06882c2.html" target="_self">Spell</a></td><td class="desc"></td></tr>
<tr id="row_0_0_6_0_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_i_spell_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_i_spell_8hpp.html" target="_self">ISpell.hpp</a></td><td class="desc">: Interface class, for the different spells/skills who can be rise by characters </td></tr>
<tr id="row_0_0_6_1_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_normal_damage_spell_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_normal_damage_spell_8hpp.html" target="_self">NormalDamageSpell.hpp</a></td><td class="desc">: Header file, for the class "NormalDamageSpell.cpp" </td></tr>
<tr id="row_0_0_7_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="_backpack_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_backpack_8hpp.html" target="_self">Backpack.hpp</a></td><td class="desc">: Header file, for the class "Backpack.cpp" </td></tr>
<tr id="row_0_0_8_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="_dice_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_dice_8hpp.html" target="_self">Dice.hpp</a></td><td class="desc">: Header and template file. Class for the dice, gives you a random value depending the type of dice </td></tr>
<tr id="row_0_0_9_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="_enums_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_enums_8hpp.html" target="_self">Enums.hpp</a></td><td class="desc">: This file contains public enums used in the project </td></tr>
<tr id="row_0_0_10_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="_file_manager_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_file_manager_8hpp.html" target="_self">FileManager.hpp</a></td><td class="desc">: Header file, for the class "FileManager.cpp" </td></tr>
<tr id="row_0_0_11_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="_game_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_game_8hpp.html" target="_self">Game.hpp</a></td><td class="desc">: Header file, for the class "Game.cpp" </td></tr>
<tr id="row_0_0_12_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="_utility_8hpp_source.html"><span class="icondoc"></span></a><a class="el" href="_utility_8hpp.html" target="_self">Utility.hpp</a></td><td class="desc">: Header file, for the class "Utility.cpp" </td></tr>
<tr id="row_0_1_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_0_1_" class="arrow" onclick="toggleFolder('0_1_')">&#9660;</span><span id="img_0_1_" class="iconfopen" onclick="toggleFolder('0_1_')">&#160;</span><a class="el" href="dir_78d96bb200e06ae88c331598177e3756.html" target="_self">src</a></td><td class="desc"></td></tr>
<tr id="row_0_1_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_1_0_" class="arrow" onclick="toggleFolder('0_1_0_')">&#9660;</span><span id="img_0_1_0_" class="iconfopen" onclick="toggleFolder('0_1_0_')">&#160;</span><a class="el" href="dir_b3d5752efe21216cac9702493bedddd8.html" target="_self">Character</a></td><td class="desc"></td></tr>
<tr id="row_0_1_0_0_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="_character_class_8cpp.html" target="_self">CharacterClass.cpp</a></td><td class="desc">: Class for the CharacterClass. A character class is the "type" (the class) of a character, like a warrior or a wizard. This class contains the base attribute and commons methods of each type of character </td></tr>
<tr id="row_0_1_0_1_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="_necromancer_8cpp.html" target="_self">Necromancer.cpp</a></td><td class="desc">: Class for the Necromancer, a class of character (Wizard specialisation) The necromancer is a wizard who deals with the deads. They can use their power and reanime the deads </td></tr>
<tr id="row_0_1_0_2_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="_skeleton_8cpp.html" target="_self">Skeleton.cpp</a></td><td class="desc">: Class for the Skeleton, a class of monster (CharacterClass specialisation) It's the dead characters of the lost times ?! </td></tr>
<tr id="row_0_1_0_3_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="_slime_8cpp.html" target="_self">Slime.cpp</a></td><td class="desc">: Class for the Slime, a class of monster (CharacterClass specialisation) A slime is a (small) monster who can be compared to a puddle of water. You can seen them more often like as a drop of water </td></tr>
<tr id="row_0_1_0_4_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="_warrior_8cpp.html" target="_self">Warrior.cpp</a></td><td class="desc">: Class for the Warrior, a class of character (CharacterClass specialisation) The warriors use sword (and shields) and their strength to accomplish anything </td></tr>
<tr id="row_0_1_0_5_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="_wizard_8cpp.html" target="_self">Wizard.cpp</a></td><td class="desc">: Class for the Wizard, a class of character (CharacterClass specialisation) The wizards have the ability to use some spells. They solve the problems with their intelligence </td></tr>
<tr id="row_0_1_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_1_1_" class="arrow" onclick="toggleFolder('0_1_1_')">&#9660;</span><span id="img_0_1_1_" class="iconfopen" onclick="toggleFolder('0_1_1_')">&#160;</span><a class="el" href="dir_a1b4ec87e320afc7f8fe9448178f628f.html" target="_self">Log</a></td><td class="desc"></td></tr>
<tr id="row_0_1_1_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="_log_8cpp.html" target="_self">Log.cpp</a></td><td class="desc">: Class for the entry of logs, an entry is caracterised by the level of the log; the type; and the message; it contains also the datetime of when the log occurs </td></tr>
<tr id="row_0_1_1_1_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="_log_collection_8cpp.html" target="_self">LogCollection.cpp</a></td><td class="desc">: Class for the centralisation of the logs. In other words, this class contains each logs who occurs during the execution of the program It contains also the ability for saving the log in files </td></tr>
<tr id="row_0_1_2_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_1_2_" class="arrow" onclick="toggleFolder('0_1_2_')">&#9660;</span><span id="img_0_1_2_" class="iconfopen" onclick="toggleFolder('0_1_2_')">&#160;</span><a class="el" href="dir_76713941c62c8d5e270e503bf00a35a4.html" target="_self">Menu</a></td><td class="desc"></td></tr>
<tr id="row_0_1_2_0_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="_menu_8cpp.html" target="_self">Menu.cpp</a></td><td class="desc">: This class is menu interface, it regroups de functionality to display the menu, and choose an action </td></tr>
<tr id="row_0_1_2_1_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="_menu_item_8cpp.html" target="_self">MenuItem.cpp</a></td><td class="desc">: This class is an item of the menu, By items, that means an option who will be displayed in the menu </td></tr>
<tr id="row_0_1_3_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_1_3_" class="arrow" onclick="toggleFolder('0_1_3_')">&#9660;</span><span id="img_0_1_3_" class="iconfopen" onclick="toggleFolder('0_1_3_')">&#160;</span><a class="el" href="dir_2ebfb9fb0f854a2f90c67fe948e4760d.html" target="_self">Object</a></td><td class="desc"></td></tr>
<tr id="row_0_1_3_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="_potion_8cpp.html" target="_self">Potion.cpp</a></td><td class="desc">: Class for the potions, contains the stats and capacity of a potion </td></tr>
<tr id="row_0_1_3_1_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="_shield_8cpp.html" target="_self">Shield.cpp</a></td><td class="desc">: Class for the shields, contains the stats and capacity of a shield </td></tr>
<tr id="row_0_1_3_2_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="_sword_8cpp.html" target="_self">Sword.cpp</a></td><td class="desc">: Class for the swords, contains the stats and capacity of a sword </td></tr>
<tr id="row_0_1_4_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_1_4_" class="arrow" onclick="toggleFolder('0_1_4_')">&#9660;</span><span id="img_0_1_4_" class="iconfopen" onclick="toggleFolder('0_1_4_')">&#160;</span><a class="el" href="dir_ef0547d0c3f511848c445d879fdf3686.html" target="_self">Room</a></td><td class="desc"></td></tr>
<tr id="row_0_1_4_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="_lane_8cpp.html" target="_self">Lane.cpp</a></td><td class="desc">: A lane is a part of a room, one lane have 0-N characters on it. It can be compared to the "cell" of the room Only 1 team at once can go on a lane </td></tr>
<tr id="row_0_1_4_1_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="_room_8cpp.html" target="_self">Room.cpp</a></td><td class="desc">: The room is where the characters can do a fight. It contains lanes, and handle the laning (move character on lanes) The room also contains the team configuration infos </td></tr>
<tr id="row_0_1_5_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_1_5_" class="arrow" onclick="toggleFolder('0_1_5_')">&#9660;</span><span id="img_0_1_5_" class="iconfopen" onclick="toggleFolder('0_1_5_')">&#160;</span><a class="el" href="dir_fffc78000004d8e31cebc13144107495.html" target="_self">Spell</a></td><td class="desc"></td></tr>
<tr id="row_0_1_5_0_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="_normal_damage_spell_8cpp.html" target="_self">NormalDamageSpell.cpp</a></td><td class="desc">: Class for the normal damage spell/skill, that means it is rised by a character and it only apply damage to a signle target </td></tr>
<tr id="row_0_1_6_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="_backpack_8cpp.html" target="_self">Backpack.cpp</a></td><td class="desc">: Class for the Backpack, It's an portable inventory, who can be held by a character during is adventure </td></tr>
<tr id="row_0_1_7_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="_game_8cpp.html" target="_self">Game.cpp</a></td><td class="desc">: This class is the game logic implementation, it regroups each classes and interconnect them to perform a complet game </td></tr>
<tr id="row_0_1_8_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="_main_8cpp.html" target="_self">Main.cpp</a></td><td class="desc">: Main class of the program, which starts the game and calls other classes to perform the game </td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
